﻿.green {
  color: #2d5c88 !important;
}

.red {
  color: #dc3545 !important;
}

.blue {
  color: #007bff !important;
}

.green {
  color: #2d5c88 !important;
}

.red {
  color: #dc3545 !important;
}

.blue {
  color: #007bff !important;
}

html {
  height: 100%;
  min-height: 100%;
}

body {
  height: 100%;
  margin: 0;
}

.content-area {
  min-height: 100%;
  margin-left: 60px;
  z-index: 1;
}

.header-area {
  position: sticky;
  top: 0;
  overflow: visible;
  z-index: 2;
}
.header-area .info-area .info-primary {
  display: flex;
  flex-direction: row;
  overflow: visible;
}
.header-area .info-area .info-primary .page-title {
  flex: 20 1 auto;
}
.header-area .info-area .info-primary .action-area {
  flex: 1 1 auto;
}
.header-area .info-area .info-primary .context-area {
  overflow: visible;
}
.header-area .info-area .info-secondary {
  display: block;
  overflow: visible;
}

.body-area {
  position: relative;
  padding-top: 15px;
  padding-left: 15px;
  padding-right: 15px;
  padding-bottom: 15px;
  min-height: calc(100vh - 1px);
}

.footer-area {
  position: sticky;
  bottom: 0;
  left: 60px;
  right: 0;
  z-index: 1000;
}

.menu-area {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  z-index: 2;
}
.menu-area .sidemenu {
  position: absolute;
  top: 2rem;
  left: 0;
  bottom: 0;
  width: 60px;
  z-index: 9000;
  display: flex;
  flex-direction: column;
  /*
      .k-widget {
        width: 100%;
      }
  */
}
.menu-area .sidemenu a.sidemenu-button {
  display: block;
  padding: 15px;
  text-decoration: none !important;
  width: 100%;
  font-size: 24px;
}
.menu-area .sidemenu a.sidemenu-button.active, .menu-area .sidemenu a.sidemenu-button:hover {
  background-color: #333233;
}
.menu-area .sidemenu a.sidemenu-button img {
  width: 30px;
}
.menu-area .sidemenu a.sidemenu-button .sidemenu-initial {
  color: #eeeeee;
}
.menu-area .sidemenu a.sidemenu-button.current {
  padding-left: 5px !important;
  border-left: solid 10px #314618;
}
.menu-area .sidemenu a.sidemenu-button.stacked {
  font-size: 12px;
}
.menu-area .sidemenu a.sidemenu-button .fa-stack-1x {
  line-height: 2em;
}
.menu-area .sidemenu .sidemenu-large {
  display: none;
  font-size: 1rem;
  margin-left: 6px;
  margin-right: -6px;
  margin-bottom: 0;
  line-height: 1.5em;
  padding: 0;
}
.menu-area .sidemenu-detail {
  display: none;
  position: fixed;
  top: 2rem;
  left: 60px;
  bottom: 0;
  width: 250px;
  padding: 10px;
  padding-bottom: 50px;
  background-color: #333233;
  color: #f0f3f5;
  overflow-y: auto;
  text-align: left;
  z-index: 9100;
}
.menu-area .sidemenu-detail .btn {
  width: 100%;
  margin-bottom: 0.5em;
  font-size: 14px;
  line-height: 1.2em;
}
.menu-area .sidemenu-detail h4 {
  font-size: 18px;
  font-weight: bold;
  color: #dadde0;
  text-transform: uppercase;
  margin-top: 0.5em;
}
.menu-area .sidemenu-detail h5 {
  font-size: 16px;
  font-style: italic;
  font-weight: normal;
  color: #dadde0;
  text-transform: uppercase;
  margin-top: 0.5em;
}
.menu-area .sidemenu-detail .nav-item {
  font-size: 14px;
  line-height: 1.6em;
  margin-left: 2em;
  text-indent: -2em;
}
@media all and (max-width: 767px) {
  .menu-area .sidemenu-detail .nav-item {
    margin: 10px 0 10px 1em;
    text-indent: 0;
  }
}
.menu-area .sidemenu-detail .nav-item.noindent {
  margin-left: 0;
  text-indent: 0;
}
.menu-area .sidemenu-detail .separator {
  height: 0;
  border: solid 1px #777777;
  margin: 0.5em;
}
.menu-area .sidemenu-detail button.link {
  background: none !important;
  border: none;
  padding: 0 !important;
  color: #f0f3f5;
  text-decoration: none;
  cursor: pointer;
  outline-color: transparent;
}
.menu-area .sidemenu-size-toggle .expanded {
  display: none;
}
.menu-area .sidemenu-size-toggle .collapsed {
  display: inline-block;
}

.sidemenu-collapsed .sidemenu-size-toggle .expanded {
  display: none;
}
.sidemenu-collapsed .sidemenu-size-toggle .collapsed {
  display: none;
}
.sidemenu-collapsed .sidemenu-size-toggle .bars {
  display: inline-block;
}

.sidemenu-display .sidemenu-size-toggle .expanded {
  display: none;
}
.sidemenu-display .sidemenu-size-toggle .collapsed {
  display: inline-block;
}
.sidemenu-display .sidemenu-size-toggle .bars {
  display: none;
}

.show-large-sidemenu #sidemenu-main {
  width: 180px;
  text-align: left;
}
@media all and (max-width: 425px) {
  .show-large-sidemenu #sidemenu-main {
    width: 180px;
  }
}
.show-large-sidemenu #sidemenu-main .sidemenu-large {
  display: inline-block;
}
.show-large-sidemenu #sidemenu-main .sidemenu-small {
  display: none;
}
.show-large-sidemenu.sidemenu-display .sidemenu-size-toggle .expanded {
  display: inline-block;
}
.show-large-sidemenu.sidemenu-display .sidemenu-size-toggle .collapsed {
  display: none;
}
.show-large-sidemenu #sidemenu-detail {
  left: 180px;
}
@media all and (max-width: 425px) {
  .show-large-sidemenu #sidemenu-detail {
    left: unset;
    right: 0;
  }
}
.show-large-sidemenu .body-panel {
  margin-left: 180px;
}

.green {
  color: #2d5c88 !important;
}

.red {
  color: #dc3545 !important;
}

.blue {
  color: #007bff !important;
}

body {
  color: Black;
  background-color: #f3f3f3;
  font-size: 16px;
  font-family: "Open Sans", sans-serif;
  text-align: left;
}

.header-area {
  background-color: #3e4146;
  color: #FAFAFA;
}
.header-area .info-area .info-primary .section-title {
  background-color: #2d5c88;
  color: #FAFAFA;
}
.header-area .info-area .info-primary .section-title h1 {
  font-weight: bold;
}
.header-area .info-area .info-primary .page-title h1 {
  text-align: left;
  font-style: normal;
  font-weight: normal;
}
.header-area .info-area .info-primary .action-area {
  text-align: right;
  padding: 0.25rem 0.5rem;
}
.header-area .info-area .info-primary .context-area {
  text-align: right;
}
.header-area .info-area .info-primary .context-area .context-name {
  vertical-align: middle;
}
.header-area .info-area .info-primary .context-area .context-name h3 {
  margin: 0 !important;
}
.header-area .info-area .info-secondary {
  text-align: center;
}
.header-area .info-area .info-secondary .row {
  padding: 4px 0 8px 0;
}
.header-area .info-area .info-secondary .submenu-dropdown .dropdown-menu {
  padding: 0;
}
.header-area .info-area .info-secondary .submenu-dropdown .dropdown-menu .button-container {
  padding: 0.5rem;
  padding-bottom: 0;
}
.header-area .info-area .info-secondary .submenu-dropdown .dropdown-menu .button-container a.btn,
.header-area .info-area .info-secondary .submenu-dropdown .dropdown-menu .button-container button.btn {
  display: block;
  margin: 0 0 10px 0 !important;
  width: 100%;
}
.header-area .info-area h1 {
  font-size: 24px;
  padding: 0 10px;
  margin: 0;
}
.header-area .info-area a.btn,
.header-area .info-area button.btn {
  margin: 0 10px;
}

.body-area {
  background-color: #f0f3f5;
}

.footer-area {
  background-color: #333233;
  color: #f0f3f5;
  padding: 5px;
}

.menu-area {
  background-color: black;
  width: 60px;
}
.menu-area a,
.menu-area a:active,
.menu-area a:hover,
.menu-area a:focus,
.menu-area a:visited {
  color: #fafafa;
  text-decoration: none;
}
.menu-area .nav-item a:active,
.menu-area .nav-item a:hover {
  color: #3d6dff;
}
.menu-area .sidemenu {
  background-color: #000000;
  color: #FAFAFA;
  text-align: center;
}
.menu-area .sidemenu a {
  color: #FAFAFA;
  padding: 2px 0;
}

/*Controls*/
.permit-list-grid .more-info {
  background-color: rgba(45, 92, 136, 0.2);
  border: 1px solid #e1e1e1;
}

.data-form .data-form-label {
  font-weight: bold;
  margin-bottom: 6px;
  text-align: left;
}
@media (min-width: 768px) {
  .data-form .data-form-label {
    text-align: right;
  }
}
.data-form .data-form-label .field-required-span {
  font-size: 1rem;
  color: #dc3545 !important;
}
.data-form .data-form-label label {
  margin-bottom: 0;
}
.data-form .data-form-value {
  font-weight: normal;
  margin-bottom: 6px;
  text-align: left;
}
.data-form .data-form-control {
  margin-bottom: 6px;
}
.data-form .error-div {
  text-align: right;
}
.data-form .error-div div {
  border: 1px solid red;
  border-radius: 5px;
  background-color: rgba(216, 2, 12, 0.05);
  padding: 4px;
  color: red;
  display: inline-block;
  margin: 6px 0;
}

.green {
  color: #2d5c88 !important;
}

.red {
  color: #dc3545 !important;
}

.blue {
  color: #007bff !important;
}

#ListSortDirection.sort-select.asc .sort-desc {
  display: none;
}
#ListSortDirection.sort-select.asc .sort-asc {
  display: inline;
}
#ListSortDirection.sort-select.desc .sort-desc {
  display: inline;
}
#ListSortDirection.sort-select.desc .sort-asc {
  display: none;
}
